Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Works as Designed
    • Affects Version/s: 1.0 M1
    • Fix Version/s: 1.0 RC1
    • Component/s: None
    • Labels:
      None

      Description

      spring-shell 1.0.0.M1 pom.xml references following dependency :

      <dependency>
      <groupId>net.sourceforge.jline</groupId>
      <artifactId>jline</artifactId>
      <version>1.0.S2-B</version>
      <scope>compile</scope>
      </dependency>

      jline-1.0.S2-B.jar doesn't exist in Maven Central Repository or SpringFramework Milestone Repository.

        Activity

        Hide
        Erwin Vervaet added a comment -

        To make this clear for everyone: just add the following to your POM:

        <repositories>
        	<repository>
        		<id>ext-release-local</id>
        		<url>http://repo.springsource.org/simple/ext-release-local/</url>
        	</repository>
        </repositories>
        
        Show
        Erwin Vervaet added a comment - To make this clear for everyone: just add the following to your POM: <repositories> <repository> <id> ext-release-local </id> <url> http://repo.springsource.org/simple/ext-release-local/ </url> </repository> </repositories>
        Hide
        Costin Leau added a comment -

        To make it double clear - specifying repo.springframework.org/release is enough. The repo contains not just the Spring artifacts but also their dependencies (including ext-release-local) as mentioned in this FAQ [1]. So while you can specify it by hand, you don't have to and use the main repository instead.

        [1] https://github.com/SpringSource/spring-framework/wiki/SpringSource-repository-FAQ#wiki-available_repositories

        Show
        Costin Leau added a comment - To make it double clear - specifying repo.springframework.org/release is enough. The repo contains not just the Spring artifacts but also their dependencies (including ext-release-local) as mentioned in this FAQ [1] . So while you can specify it by hand, you don't have to and use the main repository instead. [1] https://github.com/SpringSource/spring-framework/wiki/SpringSource-repository-FAQ#wiki-available_repositories
        Hide
        Erwin Vervaet added a comment -

        Costin,
        For me that does not work. If I specify the following:

        <repositories>
        	<repository>
        		<id>spring-release</id>
        		<url>http://repo.springsource.org/release/</url>
        	</repository>
        </repositories>
        

        I get:

        [INFO] ------------------------------------------------------------------------
        [INFO] BUILD FAILURE
        [INFO] ------------------------------------------------------------------------
        [INFO] Total time: 36.950s
        [INFO] Finished at: Mon Nov 12 19:02:21 CET 2012
        [INFO] Final Memory: 7M/98M
        [INFO] ------------------------------------------------------------------------
        [ERROR] Failed to execute goal on project spring-shell-demo: Could not resolve dependencies for project com.ervacon:spring-shell-demo:jar:1.0-SNAPSHOT: Could not find artifact net.sourceforge.jline:jline:jar:1.0.S2-B in spring-release (http://repo.springsource.org/release/) -> [Help 1]
        [ERROR] 
        
        Show
        Erwin Vervaet added a comment - Costin, For me that does not work. If I specify the following: <repositories> <repository> <id> spring-release </id> <url> http://repo.springsource.org/release/ </url> </repository> </repositories> I get: [INFO] ------------------------------------------------------------------------ [INFO] BUILD FAILURE [INFO] ------------------------------------------------------------------------ [INFO] Total time: 36.950s [INFO] Finished at: Mon Nov 12 19:02:21 CET 2012 [INFO] Final Memory: 7M/98M [INFO] ------------------------------------------------------------------------ [ERROR] Failed to execute goal on project spring-shell-demo: Could not resolve dependencies for project com.ervacon:spring-shell-demo:jar:1.0-SNAPSHOT: Could not find artifact net.sourceforge.jline:jline:jar:1.0.S2-B in spring-release (http: //repo.springsource.org/release/) -> [Help 1] [ERROR]
        Hide
        Costin Leau added a comment -

        How about libs-release?

        Show
        Costin Leau added a comment - How about libs-release?
        Hide
        Erwin Vervaet added a comment -

        Yeah, libs-release works.

        Show
        Erwin Vervaet added a comment - Yeah, libs-release works.

          People

          • Assignee:
            Unassigned
            Reporter:
            Mathieu Larchet
          • Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: